Get presence for the conversation ID. If not subscribed - also subscribes
curl --request GET \
--url https://{host}/api/{session}/presence/{chatId} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/presence/{chatId}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/presence/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chatId": "5511999999999@s.whatsapp.net",
"status": "AVAILABLE",
"lastSeen": 1234567890,
"isOnline": true
}
Presence
Get Presence for the Chat
Get presence information (online/offline) of a specific chat
GET
/
api
/
{session}
/
presence
/
{chatId}
Get presence for the conversation ID. If not subscribed - also subscribes
Description
⚠️ This endpoint is not yet implemented. This endpoint will allow you to get presence information (online/offline status) of a specific contact or chat. Useful for checking if a contact is available before sending messages.URL Parameters
string
required
WhatsApp unique session ID
string
required
ID of the chat/contact in format
5511999999999@s.whatsapp.netResponse
{
"chatId": "5511999999999@s.whatsapp.net",
"status": "AVAILABLE",
"lastSeen": 1234567890,
"isOnline": true
}
Status Codes
200- Information obtained successfully400- Invalid parameters401- Unauthorized404- Chat not found
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/presence/5511999999999@s.whatsapp.net
const session = 'my-session';
const chatId = '5511999999999@s.whatsapp.net';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/presence/${chatId}`);
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
chat_id = '5511999999999@s.whatsapp.net'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/presence/{chat_id}')
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
Conversation ID
